{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}

{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.categories') }}">Categories</a></li>
        <li class="breadcrumb-item active">{{ category.name }}</li>
    </ol>
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-sm-12 col-xl-3">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-align-justify"></i> Controls
                </div>
                <div class="card-body">
                    <div class="controls">
                        <a href="{{ path('admin.categories.edit', {'id': category.id}) }}"
                           class="btn btn-primary">Edit</a>
                        <a href="{{ path('admin.categories.image.attach', {'id': category.id}) }}"
                           class="btn btn-primary">Attach Image</a>
                        <a href="{{ path('admin.subcategories.create', {'id': category.id}) }}"
                           class="btn btn-primary">Create subcategory</a>
                        <form action="{{ path('admin.categories.delete', {'id': category.id}) }}" method="post"
                              onsubmit="return confirm('Are you sure?')">
                            <input type="hidden" name="token" value="{{ csrf_token('delete') }}"/>
                            <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <i class="fa fa-align-justify"></i> Category
        </div>
        <div class="card-body">
            <div class="box">
                <table class="table table-bordered">
                    <tbody>
                    <tr>
                        <th>Name</th>
                        <td>{{ category.name }}</td>
                    </tr>
                    <tr>
                        <th>Sex</th>
                        <td>{{ category.sex }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            {% if category.subcategories %}
                <div class="box">
                    <table class="table table-bordered mb-0">
                        <thead>
                        <tr>
                            <th>Subcategories</th>
                            <th>Products</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        {% set token = csrf_token('delete') %}
                        {% for subcategory in category.subcategories %}
                            <tr>
                                <th><a href="{{ path('admin.subcategories.show', {'id': subcategory.id}) }}">{{ subcategory.name }}</a></th>
                                <td>
                                    {% if products[loop.index0] == 0 %}
                                        {{ products[loop.index0] }}
                                    {% else %}
                                        <a href="{{ path('admin.products', {'form': {'category': subcategory.category.id ,'subcategory': subcategory.id}}) }}">
                                            {{ products[loop.index0] }}
                                        </a>
                                    {% endif %}
                                </td>
                                <td>
                                    <div class="d-flex flex-row">
                                        <form action="{{ path('admin.subcategories.delete', {'id': subcategory.id}) }}"
                                              method="post" onsubmit="return confirm('Are you sure?')">
                                            <a href="{{ path('admin.subcategories.edit', {'id': subcategory.id}) }}"
                                               class="btn btn-sm btn-primary mr-1"><span
                                                        class="fa fa-pencil"></span></a>
                                            <input type="hidden" name="token" value="{{ token }}"/>
                                            <button type="submit" class="btn btn-sm btn-danger"><span
                                                        class="fa fa-trash"></span>
                                            </button>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
            {% if category.images %}
                <div class="box">
                    <table class="table table-bordered mb-0">
                        <tbody>
                        {% set token = csrf_token('deleteImage') %}
                        {% for image in category.images %}
                            <tr>
                                <th>{{ image.name }}</th>
                                <td>{{ image.path }}</td>
                            </tr>
                            <tr>
                                <div class="delImage">
                                    <a href="{{ asset('uploads/images/product/category/' ~ category.name ~ '/' ~ image.name) }}"
                                       target="_blank">
                                        <img src="{{ asset('uploads/images/product/category/' ~ category.name ~ '/' ~ image.name) | imagine_filter('my_thumb') }}"
                                             alt="{{ category.name }}">
                                    </a>
                                    <form action="{{ path('admin.categories.image.delete', {'id': image.id}) }}"
                                          method="post" onsubmit="return confirm('Are you sure?')">
                                        <input type="hidden" name="token" value="{{ token }}"/>
                                        <button type="submit" class="btn btn-sm btn-danger"><span
                                                    class="fa fa-trash"></span>
                                        </button>
                                    </form>
                                </div>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
        </div>
    </div>

{% endblock %}